| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Macros | Functions
language.h File Reference
`#include <stdbool.h>`

Go to the source code of this file.

## Macros
#define | USE_SYSTEM_LANGUAGE "system"

## Functions
char * | get_language_used (void)
| Get the currently used language.
void | set_language_used (const char *lang)
| Sets the language used for the application.
void | language_init (void)
| Initializes the language settings.
void | language_cleanup (void)
| Cleans up language-related resources.
void | read_language_prefs (const char *app_env_var_prefix)
| Reads language preferences from a file.
bool | write_language_prefs (const char *app_env_var_prefix, char **err_info)
| Writes language preferences to a configuration file.

## Detailed Description

Copyright 2014, Michal Labedzki for Tieto Corporation

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ get_language_used()

char * get_language_used | ( | void |  | ) |

Get the currently used language.

Returns
  The language code as a string.

## ◆ read_language_prefs()

void read_language_prefs | ( | const char * | app_env_var_prefix | ) |
| extern

Reads language preferences from a file.

Parameters

  app_env_var_prefix | Prefix for application environment variables.

## ◆ set_language_used()

void set_language_used | ( | const char * | lang | ) |

Sets the language used for the application.

Parameters

  lang | The language code as a string.

## ◆ write_language_prefs()

bool write_language_prefs | ( | const char * | app_env_var_prefix,
|  | char ** | err_info )
| extern

Writes language preferences to a configuration file.

Parameters

  app_env_var_prefix | Prefix for application environment variables.
  err_info | Pointer to store error information if an error occurs.

Returns
  true if successful, false otherwise.